/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Jun 26 16:06:00 GMT 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qlabel.h>
#include <qtimer.h>

#include "mosixview.h"

#include "mosixview_intro.xpm"


	QLabel  *QLabel_intro;

int main(int argc, char *argv[])
{



if (argc != 1)
        {
        printf("USAGE %s \n",  argv[0]);
        exit (1);
        }



  QApplication a(argc, argv);

	QPixmap intro;
	intro= QPixmap(mosixview_intro_xpm);


  QLabel_intro= new QLabel(0,"NoName");
  QLabel_intro->setGeometry(20,50,500,130);
  QLabel_intro->setMinimumSize(0,0);
  QLabel_intro->setBackgroundPixmap(QPixmap(intro));
  QLabel_intro->setFrameStyle( QFrame::Panel | QFrame::Sunken );
  QLabel_intro->show();



  QTranslator tor( 0 );
  tor.load( QString("mosixview.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  MosixviewApp *mosixview=new MosixviewApp();
  a.setMainWidget(mosixview);


	QFont font("helvetica");
//	font.setPointSize(8);
	font.setPixelSize(12);
  mosixview->setFont(font);


  mosixview->setGeometry(20,220,500,480);
  mosixview->resize(660, 430);
  mosixview->setupQuit();
  mosixview->show();


  QTimer::singleShot( 2000, QLabel_intro, SLOT(hide()) );

  return a.exec();



}


